/*
 *  Copyright (C) 2017-2025 Texas Instruments Incorporated
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 */
/**
 * \ingroup TISCI
 * \defgroup tisci_devices tisci_devices
 *
 * DMSC controls the power management, security and resource management
 * of the device.
 *
 *
 * @{
 */
/**
 *
 *  \brief  This file contains:
 *
 *          WARNING!!: Autogenerated file from SYSFW. DO NOT MODIFY!!
 * Data version: 220525_125254
 *
 */
#ifndef SOC_TISCI_DEVICES_H
#define SOC_TISCI_DEVICES_H

#define TISCI_DEV_MCU_ADC12FC_16FFC0 0U
#define TISCI_DEV_MCU_ADC12FC_16FFC1 1U
#define TISCI_DEV_ATL0 2U
#define TISCI_DEV_C71X_0_PBIST_VD 3U
#define TISCI_DEV_A72SS0 4U
#define TISCI_DEV_C71X_1_PBIST_VD 5U
#define TISCI_DEV_COMPUTE_CLUSTER0 6U
#define TISCI_DEV_A72SS0_CORE0_PBIST_WRAP 7U
#define TISCI_DEV_COMPUTE_CLUSTER0_C71SS0_0 8U
#define TISCI_DEV_COMPUTE_CLUSTER0_C71SS0_MMA_0 9U
#define TISCI_DEV_COMPUTE_CLUSTER0_C71SS0_PBIST_WRAP_0 10U
#define TISCI_DEV_COMPUTE_CLUSTER0_C71SS1_0 11U
#define TISCI_DEV_COMPUTE_CLUSTER0_C71SS1_PBIST_WRAP_0 12U
#define TISCI_DEV_COMPUTE_CLUSTER0_CFG_WRAP_0 13U
#define TISCI_DEV_COMPUTE_CLUSTER0_CLEC 14U
#define TISCI_DEV_COMPUTE_CLUSTER0_CORE_CORE 15U
#define TISCI_DEV_COMPUTE_CLUSTER0_DDR32SS_EMIF0_EW_0 16U
#define TISCI_DEV_COMPUTE_CLUSTER0_DDR32SS_EMIF1_EW_0 17U
#define TISCI_DEV_COMPUTE_CLUSTER0_DEBUG_WRAP_0 18U
#define TISCI_DEV_COMPUTE_CLUSTER0_DIVH2_DIVH0_0 19U
#define TISCI_DEV_COMPUTE_CLUSTER0_DIVH2_DIVH0_1 20U
#define TISCI_DEV_COMPUTE_CLUSTER0_DIVP_TFT0_0 21U
#define TISCI_DEV_WKUP_SMS0 22U
#define TISCI_DEV_COMPUTE_CLUSTER0_DIVP_TFT0_1 23U
#define TISCI_DEV_COMPUTE_CLUSTER0_DMSC_WRAP_0 24U
#define TISCI_DEV_COMPUTE_CLUSTER0_EN_MSMC_DOMAIN_0 25U
#define TISCI_DEV_COMPUTE_CLUSTER0_GIC500SS 26U
#define TISCI_DEV_COMPUTE_CLUSTER0_PBIST_WRAP_0 27U
#define TISCI_DEV_CPSW1 28U
#define TISCI_DEV_MCU_CPSW0 29U
#define TISCI_DEV_CPT2_AGGR1 30U
#define TISCI_DEV_CPT2_AGGR5 31U
#define TISCI_DEV_CPT2_AGGR2 32U
#define TISCI_DEV_CPT2_AGGR4 33U
#define TISCI_DEV_CPT2_AGGR3 34U
#define TISCI_DEV_MCU_TIMER0 35U
#define TISCI_DEV_CPT2_AGGR0 36U
#define TISCI_DEV_MCU_CPT2_AGGR0 37U
#define TISCI_DEV_CSI_RX_IF0 38U
#define TISCI_DEV_CSI_RX_IF1 39U
#define TISCI_DEV_CSI_TX_IF_V2_0 40U
#define TISCI_DEV_CSI_TX_IF_V2_1 41U
#define TISCI_DEV_STM0 42U
#define TISCI_DEV_DCC0 43U
#define TISCI_DEV_DCC1 44U
#define TISCI_DEV_DCC2 45U
#define TISCI_DEV_DCC3 46U
#define TISCI_DEV_DCC4 47U
#define TISCI_DEV_DCC5 48U
#define TISCI_DEV_DCC6 49U
#define TISCI_DEV_DCC7 50U
#define TISCI_DEV_DCC8 51U
#define TISCI_DEV_DCC9 52U
#define TISCI_DEV_MCU_DCC0 53U
#define TISCI_DEV_MCU_DCC1 54U
#define TISCI_DEV_MCU_DCC2 55U
#define TISCI_DEV_DEBUGSS_WRAP0 57U
#define TISCI_DEV_DMPAC0 58U
#define TISCI_DEV_DMPAC0_CTSET_0 59U
#define TISCI_DEV_DMPAC0_INTD_0 60U
#define TISCI_DEV_GTC0 61U
#define TISCI_DEV_DMPAC0_SDE_0 62U
#define TISCI_DEV_TIMER0 63U
#define TISCI_DEV_TIMER1 64U
#define TISCI_DEV_TIMER2 65U
#define TISCI_DEV_TIMER3 66U
#define TISCI_DEV_TIMER4 67U
#define TISCI_DEV_TIMER5 68U
#define TISCI_DEV_TIMER6 69U
#define TISCI_DEV_TIMER7 70U
#define TISCI_DEV_TIMER8 71U
#define TISCI_DEV_TIMER9 72U
#define TISCI_DEV_TIMER10 73U
#define TISCI_DEV_TIMER11 74U
#define TISCI_DEV_TIMER12 75U
#define TISCI_DEV_TIMER13 76U
#define TISCI_DEV_TIMER14 77U
#define TISCI_DEV_TIMER15 78U
#define TISCI_DEV_TIMER16 79U
#define TISCI_DEV_TIMER17 80U
#define TISCI_DEV_TIMER18 81U
#define TISCI_DEV_TIMER19 82U
#define TISCI_DEV_MCU_TIMER1 83U
#define TISCI_DEV_MCU_TIMER2 84U
#define TISCI_DEV_MCU_TIMER3 85U
#define TISCI_DEV_MCU_TIMER4 86U
#define TISCI_DEV_MCU_TIMER5 87U
#define TISCI_DEV_MCU_TIMER6 88U
#define TISCI_DEV_MCU_TIMER7 89U
#define TISCI_DEV_MCU_TIMER8 90U
#define TISCI_DEV_MCU_TIMER9 91U
#define TISCI_DEV_ECAP0 92U
#define TISCI_DEV_ECAP1 93U
#define TISCI_DEV_ECAP2 94U
#define TISCI_DEV_ELM0 95U
#define TISCI_DEV_EMIF_DATA_0_VD 96U
#define TISCI_DEV_EMIF_DATA_1_VD 97U
#define TISCI_DEV_MMCSD0 98U
#define TISCI_DEV_MMCSD1 99U
#define TISCI_DEV_EQEP0 100U
#define TISCI_DEV_EQEP1 101U
#define TISCI_DEV_EQEP2 102U
#define TISCI_DEV_ESM0 103U
#define TISCI_DEV_WKUP_ESM0 104U
#define TISCI_DEV_MCU_ESM0 105U
#define TISCI_DEV_MCU_FSS0 106U
#define TISCI_DEV_MCU_FSS0_FSAS_0 107U
#define TISCI_DEV_MCU_FSS0_HYPERBUS1P0_0 108U
#define TISCI_DEV_MCU_FSS0_OSPI_0 109U
#define TISCI_DEV_MCU_FSS0_OSPI_1 110U
#define TISCI_DEV_GPIO0 111U
#define TISCI_DEV_GPIO2 112U
#define TISCI_DEV_GPIO4 113U
#define TISCI_DEV_GPIO6 114U
#define TISCI_DEV_WKUP_GPIO0 115U
#define TISCI_DEV_WKUP_GPIO1 116U
#define TISCI_DEV_GPMC0 117U
#define TISCI_DEV_MCU_I3C0 118U
#define TISCI_DEV_MCU_I3C1 119U
#define TISCI_DEV_LED0 120U
#define TISCI_DEV_MAIN2MCU_LVL_INTRTR0 121U
#define TISCI_DEV_MAIN2MCU_PLS_INTRTR0 122U
#define TISCI_DEV_WKUP_PORZ_SYNC0 123U
#define TISCI_DEV_TIMESYNC_INTRTR0 124U
#define TISCI_DEV_WKUP_GPIOMUX_INTRTR0 125U
#define TISCI_DEV_WKUP_PSC0 126U
#define TISCI_DEV_J7AEP_GPU_BXS464_WRAP0 127U
#define TISCI_DEV_J7AEP_GPU_BXS464_WRAP0_DFT_EMBED_PBIST_0 128U
#define TISCI_DEV_J7AEP_GPU_BXS464_WRAP0_GPU_SS_0 130U
#define TISCI_DEV_J7AM_32_64_ATB_FUNNEL0 131U
#define TISCI_DEV_J7AM_32_64_ATB_FUNNEL1 132U
#define TISCI_DEV_J7AM_32_64_ATB_FUNNEL2 133U
#define TISCI_DEV_AGGR_ATB0 134U
#define TISCI_DEV_J7AM_BOLT_PGD0 135U
#define TISCI_DEV_CSI_PSILSS0 136U
#define TISCI_DEV_DEBUGSUSPENDRTR0 137U
#define TISCI_DEV_DDR0 138U
#define TISCI_DEV_DDR1 139U
#define TISCI_DEV_DMPAC_VPAC_PSILSS0 140U
#define TISCI_DEV_J7AM_HWA_ATB_FUNNEL0 141U
#define TISCI_DEV_J7AM_MAIN_16FF0 142U
#define TISCI_DEV_PSC0 143U
#define TISCI_DEV_J7AM_PULSAR_ATB_FUNNEL0 144U
#define TISCI_DEV_SA2_CPSW_PSILSS0 145U
#define TISCI_DEV_UART0 146U
#define TISCI_DEV_WKUP_J7AM_WAKEUP_16FF0 147U
#define TISCI_DEV_GPIOMUX_INTRTR0 148U
#define TISCI_DEV_MCU_UART0 149U
#define TISCI_DEV_CMPEVENT_INTRTR0 150U
#define TISCI_DEV_WKUP_DDPA0 151U
#define TISCI_DEV_DPHY_RX0 152U
#define TISCI_DEV_DPHY_RX1 153U
#define TISCI_DEV_DSS_DSI0 154U
#define TISCI_DEV_DSS_DSI1 155U
#define TISCI_DEV_DSS_EDP0 156U
#define TISCI_DEV_BOARD0 157U
#define TISCI_DEV_DSS0 158U
#define TISCI_DEV_EPWM0 160U
#define TISCI_DEV_EPWM1 161U
#define TISCI_DEV_EPWM2 162U
#define TISCI_DEV_EPWM3 163U
#define TISCI_DEV_EPWM4 164U
#define TISCI_DEV_EPWM5 165U
#define TISCI_DEV_PBIST7 166U
#define TISCI_DEV_PBIST5 167U
#define TISCI_DEV_PBIST11 168U
#define TISCI_DEV_PBIST8 169U
#define TISCI_DEV_PBIST3 170U
#define TISCI_DEV_PBIST0 171U
#define TISCI_DEV_PBIST1 172U
#define TISCI_DEV_PBIST4 173U
#define TISCI_DEV_PBIST2 174U
#define TISCI_DEV_PBIST10 175U
#define TISCI_DEV_MCU_PBIST0 176U
#define TISCI_DEV_MCU_PBIST1 177U
#define TISCI_DEV_MCU_PBIST2 178U
#define TISCI_DEV_CODEC0 179U
#define TISCI_DEV_WKUP_VTM0 180U
#define TISCI_DEV_MAIN2WKUPMCU_VD 181U
#define TISCI_DEV_MCAN0 182U
#define TISCI_DEV_MCAN1 183U
#define TISCI_DEV_MCAN2 184U
#define TISCI_DEV_MCAN3 185U
#define TISCI_DEV_MCAN4 186U
#define TISCI_DEV_MCAN5 187U
#define TISCI_DEV_MCAN6 188U
#define TISCI_DEV_MCAN7 189U
#define TISCI_DEV_MCAN8 190U
#define TISCI_DEV_MCAN9 191U
#define TISCI_DEV_MCAN10 192U
#define TISCI_DEV_MCAN11 193U
#define TISCI_DEV_MCAN12 194U
#define TISCI_DEV_MCAN13 195U
#define TISCI_DEV_MCAN14 197U
#define TISCI_DEV_MCAN15 199U
#define TISCI_DEV_MCAN16 201U
#define TISCI_DEV_A72SS0_CORE0 202U
#define TISCI_DEV_A72SS0_CORE1 203U
#define TISCI_DEV_MCAN17 206U
#define TISCI_DEV_MCU_MCAN0 207U
#define TISCI_DEV_MCU_MCAN1 208U
#define TISCI_DEV_MCASP0 209U
#define TISCI_DEV_MCASP1 210U
#define TISCI_DEV_MCASP2 211U
#define TISCI_DEV_MCASP3 212U
#define TISCI_DEV_MCASP4 213U
#define TISCI_DEV_I2C0 214U
#define TISCI_DEV_I2C1 215U
#define TISCI_DEV_I2C2 216U
#define TISCI_DEV_I2C3 217U
#define TISCI_DEV_I2C4 218U
#define TISCI_DEV_I2C5 219U
#define TISCI_DEV_I2C6 220U
#define TISCI_DEV_MCU_I2C0 221U
#define TISCI_DEV_MCU_I2C1 222U
#define TISCI_DEV_WKUP_I2C0 223U
#define TISCI_DEV_NAVSS0 224U
#define TISCI_DEV_NAVSS0_BCDMA_0 225U
#define TISCI_DEV_NAVSS0_CPTS_0 226U
#define TISCI_DEV_NAVSS0_INTR_0 227U
#define TISCI_DEV_NAVSS0_MAILBOX1_0 228U
#define TISCI_DEV_NAVSS0_MAILBOX1_1 229U
#define TISCI_DEV_NAVSS0_MAILBOX1_2 230U
#define TISCI_DEV_NAVSS0_MAILBOX1_3 231U
#define TISCI_DEV_NAVSS0_MAILBOX1_4 232U
#define TISCI_DEV_NAVSS0_MAILBOX1_5 233U
#define TISCI_DEV_NAVSS0_MAILBOX1_6 234U
#define TISCI_DEV_NAVSS0_MAILBOX1_7 235U
#define TISCI_DEV_NAVSS0_MAILBOX1_8 236U
#define TISCI_DEV_NAVSS0_MAILBOX1_9 237U
#define TISCI_DEV_NAVSS0_MAILBOX1_10 238U
#define TISCI_DEV_NAVSS0_MAILBOX1_11 239U
#define TISCI_DEV_NAVSS0_MAILBOX_0 240U
#define TISCI_DEV_NAVSS0_MAILBOX_1 241U
#define TISCI_DEV_NAVSS0_MAILBOX_2 242U
#define TISCI_DEV_NAVSS0_MAILBOX_3 243U
#define TISCI_DEV_NAVSS0_MAILBOX_4 244U
#define TISCI_DEV_NAVSS0_MAILBOX_5 245U
#define TISCI_DEV_NAVSS0_MAILBOX_6 246U
#define TISCI_DEV_NAVSS0_MAILBOX_7 247U
#define TISCI_DEV_NAVSS0_MAILBOX_8 248U
#define TISCI_DEV_NAVSS0_MAILBOX_9 249U
#define TISCI_DEV_NAVSS0_MAILBOX_10 250U
#define TISCI_DEV_NAVSS0_MAILBOX_11 251U
#define TISCI_DEV_NAVSS0_MCRC_0 252U
#define TISCI_DEV_NAVSS0_MODSS 253U
#define TISCI_DEV_NAVSS0_MODSS_INTA_0 254U
#define TISCI_DEV_NAVSS0_MODSS_INTA_1 255U
#define TISCI_DEV_NAVSS0_PROXY_0 256U
#define TISCI_DEV_NAVSS0_PVU_0 257U
#define TISCI_DEV_NAVSS0_PVU_1 258U
#define TISCI_DEV_NAVSS0_RINGACC_0 259U
#define TISCI_DEV_NAVSS0_SPINLOCK_0 260U
#define TISCI_DEV_NAVSS0_TIMERMGR_0 261U
#define TISCI_DEV_NAVSS0_TIMERMGR_1 262U
#define TISCI_DEV_NAVSS0_UDMAP_0 263U
#define TISCI_DEV_NAVSS0_UDMASS 264U
#define TISCI_DEV_NAVSS0_UDMASS_INTA_0 265U
#define TISCI_DEV_NAVSS0_VIRTSS 266U
#define TISCI_DEV_MCU_NAVSS0 267U
#define TISCI_DEV_MCU_NAVSS0_INTR_ROUTER_0 268U
#define TISCI_DEV_MCU_NAVSS0_MCRC_0 269U
#define TISCI_DEV_MCU_NAVSS0_MODSS 270U
#define TISCI_DEV_MCU_NAVSS0_PROXY0 271U
#define TISCI_DEV_MCU_NAVSS0_RINGACC0 272U
#define TISCI_DEV_MCU_NAVSS0_UDMAP_0 273U
#define TISCI_DEV_MCU_NAVSS0_UDMASS 274U
#define TISCI_DEV_MCU_NAVSS0_UDMASS_INTA_0 275U
#define TISCI_DEV_PCIE1 276U
#define TISCI_DEV_R5FSS0 277U
#define TISCI_DEV_R5FSS1 278U
#define TISCI_DEV_R5FSS0_CORE0 279U
#define TISCI_DEV_R5FSS0_CORE1 280U
#define TISCI_DEV_R5FSS1_CORE0 281U
#define TISCI_DEV_R5FSS1_CORE1 282U
#define TISCI_DEV_MCU_R5FSS0 283U
#define TISCI_DEV_MCU_R5FSS0_CORE0 284U
#define TISCI_DEV_MCU_R5FSS0_CORE1 285U
#define TISCI_DEV_RTI0 286U
#define TISCI_DEV_RTI1 287U
#define TISCI_DEV_RTI16 288U
#define TISCI_DEV_RTI17 289U
#define TISCI_DEV_RTI15 290U
#define TISCI_DEV_RTI28 291U
#define TISCI_DEV_RTI29 292U
#define TISCI_DEV_RTI30 293U
#define TISCI_DEV_RTI31 294U
#define TISCI_DEV_MCU_RTI0 295U
#define TISCI_DEV_MCU_RTI1 296U
#define TISCI_DEV_SA2_UL0 297U
#define TISCI_DEV_WKUP_HSM0 304U
#define TISCI_DEV_MCSPI0 339U
#define TISCI_DEV_MCSPI1 340U
#define TISCI_DEV_MCSPI2 341U
#define TISCI_DEV_MCSPI3 342U
#define TISCI_DEV_MCSPI4 343U
#define TISCI_DEV_MCSPI5 344U
#define TISCI_DEV_MCSPI6 345U
#define TISCI_DEV_MCSPI7 346U
#define TISCI_DEV_MCU_MCSPI0 347U
#define TISCI_DEV_MCU_MCSPI1 348U
#define TISCI_DEV_MCU_MCSPI2 349U
#define TISCI_DEV_UART1 350U
#define TISCI_DEV_UART2 351U
#define TISCI_DEV_UART3 352U
#define TISCI_DEV_UART4 353U
#define TISCI_DEV_UART5 354U
#define TISCI_DEV_UART6 355U
#define TISCI_DEV_UART7 356U
#define TISCI_DEV_UART8 357U
#define TISCI_DEV_UART9 358U
#define TISCI_DEV_WKUP_UART0 359U
#define TISCI_DEV_USB0 360U
#define TISCI_DEV_VPAC0 361U
#define TISCI_DEV_VUSR_DUAL0 362U
#define TISCI_DEV_DPHY_TX0 363U
#define TISCI_DEV_DPHY_TX1 364U
#define TISCI_DEV_SERDES_10G0 365U
#define TISCI_DEV_WKUPMCU2MAIN_VD 366U
#define TISCI_DEV_FFI_MAIN_AC_CBASS_VD 367U
#define TISCI_DEV_FFI_MAIN_AC_QM_CBASS_VD 368U
#define TISCI_DEV_FFI_MAIN_HC_CBASS_VD 369U
#define TISCI_DEV_FFI_MAIN_INFRA_CBASS_VD 370U
#define TISCI_DEV_FFI_MAIN_IP_CBASS_VD 371U
#define TISCI_DEV_FFI_MAIN_RC_CBASS_VD 372U
#define TISCI_DEV_J7AEP_GPU_BXS464_WRAP0_GPUCORE_0 373U
#define TISCI_DEV_DMPAC0_UTC_0 374U
#define TISCI_DEV_ACSPCIE_BUFFER0 375U
#define TISCI_DEV_MCU_TIMER1_CLKSEL_VD 376U
#define TISCI_DEV_MCU_TIMER3_CLKSEL_VD 377U
#define TISCI_DEV_MCU_TIMER5_CLKSEL_VD 378U
#define TISCI_DEV_MCU_TIMER7_CLKSEL_VD 379U
#define TISCI_DEV_MCU_TIMER9_CLKSEL_VD 380U
#define TISCI_DEV_TIMER1_CLKSEL_VD 381U
#define TISCI_DEV_TIMER3_CLKSEL_VD 382U
#define TISCI_DEV_TIMER5_CLKSEL_VD 383U
#define TISCI_DEV_TIMER7_CLKSEL_VD 384U
#define TISCI_DEV_TIMER9_CLKSEL_VD 385U
#define TISCI_DEV_TIMER11_CLKSEL_VD 386U
#define TISCI_DEV_TIMER13_CLKSEL_VD 387U
#define TISCI_DEV_TIMER15_CLKSEL_VD 388U
#define TISCI_DEV_TIMER17_CLKSEL_VD 389U
#define TISCI_DEV_TIMER19_CLKSEL_VD 390U
#define TISCI_DEV_MAIN_PLL8_SEL_EXTWAVE_VD 391U

#endif /* SOC_TISCI_DEVICES_H */

/* @} */
